org.apache.lucene.search

## Class ShardSearchingTestBase.SearcherAndVersion

- java.lang.Object
- - org.apache.lucene.search.ShardSearchingTestBase.SearcherAndVersion

Enclosing class:
  ShardSearchingTestBase

    protected static class ShardSearchingTestBase.SearcherAndVersion
    extends Object

An IndexSearcher and associated version (lease)

### Field Summary

Fields
`IndexSearcher` `searcher`
`long` `version`

### Constructor Summary

Constructors
Constructor and Description
`ShardSearchingTestBase.SearcherAndVersion(IndexSearcher searcher, long version)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### searcher

    public final IndexSearcher searcher

#### version

    public final long version

### Constructor Detail

#### ShardSearchingTestBase.SearcherAndVersion

    public ShardSearchingTestBase.SearcherAndVersion(IndexSearcher searcher,
                                             long version)